﻿using Demo.Domain.UseCase;
using System;

namespace Demo.UI
{
    public class GroupConsole
    {
        private readonly GroupUseCase _groupUseCase;

        public GroupConsole(GroupUseCase groupUseCase)
        {
            _groupUseCase = groupUseCase;
        }

        public void ShowAllGroups()
        {
            var groups = _groupUseCase.GetAllGroups();
            foreach (var group in groups)
            {
                Console.WriteLine($"ID группы: {group.Id}, Название: {group.Name}");
            }
        }

        public void AddGroup()
        {
            Console.WriteLine("Введите название группы:");
            string name = Console.ReadLine();
            Console.WriteLine("Введите ID группы:");
            var id = int.Parse(Console.ReadLine());

            _groupUseCase.AddGroup(id, name);
            Console.WriteLine("Группа успешно добавлена.");
        }

        public void UpdateGroup(int groupId)
        {
            Console.WriteLine("Введите новое название группы:");
            string newName = Console.ReadLine();
            _groupUseCase.UpdateGroup(groupId, newName);
            Console.WriteLine("Название группы успешно обновлено.");
        }
    }
}
